# p4Connect

P4Connect is a Unity3d Editor Extension intended to work in Windows and OSX with unity 4 and 5. 

## Distribution

Stable releases will be available from the Perforce Downloads page and FTP server:

* ftp://ftp.perforce.com/perforce/r15.2/bin.multiarch/P4Connect.unitypackage 

Debug Releases are only available from the workshop in the "releases" directory:

* https://swarm.workshop.perforce.com/projects/perforce-software-p4connect/files/main/releases

## Packaging

P4Connect ships as a UnityAsset package.   

To install, 

1. Remove all files from any previous P4Connect installation from your project   
   if they exist they will be in the ./Assets/P4Connect/ tree

2. Start Unity, go to the "Assets" -> "Import Package" -> "Custom Package"
   then select the P4Connect\*.unitypackage file you downloaded.

## Documentation

### User guide

* http://www.perforce.com/perforce/doc.current/manuals/p4connectguide/index.html

### Release notes 

* https://swarm.workshop.perforce.com/projects/perforce-software-p4connect/files/main/src/Assets/P4Connect/readme.txt

### Build instructions 

* https://swarm.workshop.perforce.com/projects/perforce-software-p4connect/files/main/src/build.md

## Support

P4Connect is an open source product which has the blessings and support of Perforce software.
Perforce uses feedback from customer Jobs and Forum postings to decide what features and/or bugs
should be prioritized.  Users which provide bug fixes or enhancements as "push requests" are greatly encouraged,
and help to prioritize what happens next.

You can get support by asking the community for help in the Perforce forums:

* http://forums.perforce.com/index.php?/forum/35-p4connect/

Or you they can contact Perforce Technical support by emailing "support@perforce.com".

